%define gluname			mesaglu
%define glumajor		1
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libgluname_virt		lib%{gluname}

%define name glu
%define version 9.0.0
%define git 0
%define rel 2

%if %{git}
%define release			%mkrel 0.git%{git}.%{rel}
%define distname		%{name}-%{version}-%{git}
%else
%define release			%mkrel %{rel}
%define distname		%{name}-%{version}
%endif

Summary:	OpenGL Utility Library from Mesa
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{distname}.tar.bz2
License:	MIT
Group:		System/Libraries
Url:		http://www.mesa3d.org/
BuildRequires:	mesagl-devel

%description
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	%{libgluname_virt} = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Requires:	mesagl-devel
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%prep
%setup -q -n %{distname}
%apply_patches
autoreconf -vfi

%build
%configure2_5x --disable-static
%make

%install
%makeinstall
# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

%files -n %{libgluname}
%defattr(-,root,root)
%{_libdir}/libGLU.so.%{glumajor}*

%files -n %{libgluname}-devel
%defattr(-,root,root)
%{_includedir}/GL/glu.h
%{_includedir}/GL/glu_mangle.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 9.0.0-2.mga3
+ Revision: 351843
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 19 2012 tv <tv> 9.0.0-1.mga3
+ Revision: 296199
- official release

* Fri Sep 07 2012 blino <blino> 9.0.0-0.git20120907.1.mga3
+ Revision: 289610
- initial glu package (split out from mesa)
- Created package structure for glu.

